Bug 1260134 - running 'atomic-reactor build path' with required arguments fails with traceback
running 'atomic-reactor build path' with required arguments fails with traceback
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: atomic-reactor (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Tomecek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 09:54 EDT by Tomáš Hozza
Modified: 2015-10-21 04:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.5.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:30:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Hozza 2015-09-04 09:54:36 EDT
Description of problem:
I'm new to atomic-reactor but I can not get it to work based on what I read in the man page and the usage printed by the tool.

Version-Release number of selected component (if applicable):
atomic-reactor-1.4.0-2.fc22.noarch

How reproducible:
always

Steps to Reproduce:
nneeoo@nneeoo-pc ~/tmp/docker-test
$ atomic-reactor build path
usage: atomic-reactor [OPTIONS] build path
atomic-reactor [OPTIONS] build path: error: the following arguments are required: --uri, --method
nneeoo@nneeoo-pc ~/tmp/docker-test
$ atomic-reactor build path --method=here --uri=/foo/bar
Traceback (most recent call last):
  File "/usr/bin/atomic-reactor", line 9, in <module>
    load_entry_point('atomic-reactor==1.4.0', 'console_scripts', 'atomic-reactor')()
  File "/usr/lib/python3.4/site-packages/atomic_reactor/cli/main.py", line 292, in run
    cli.run()
  File "/usr/lib/python3.4/site-packages/atomic_reactor/cli/main.py", line 275, in run
    args.func(args)
  File "/usr/lib/python3.4/site-packages/atomic_reactor/cli/main.py", line 56, in cli_build_image
    build_result = build_image_here(plugin_files=args.plugin_files, **common_kwargs)
  File "/usr/lib/python3.4/site-packages/atomic_reactor/api.py", line 124, in build_image_here
    return m.build_docker_image()
  File "/usr/lib/python3.4/site-packages/atomic_reactor/inner.py", line 289, in build_docker_image
    self.builder = InsideBuilder(self.source, self.image)
  File "/usr/lib/python3.4/site-packages/atomic_reactor/build.py", line 92, in __init__
    self.image = ImageName.parse(image)
  File "/usr/lib/python3.4/site-packages/atomic_reactor/util.py", line 39, in parse
    s = image_name.split('/', 2)
AttributeError: 'NoneType' object has no attribute 'split'
nneeoo@nneeoo-pc ~/tmp/docker-test
$ ls 
Dockerfile

Actual results:
traceback

Expected results:
some meaningful error message helping me to resolve my problem

Additional info:
Comment 1 Tomas Tomecek 2015-09-07 10:28:55 EDT
This is definitely a bug. You need to specify `--image` to name the final image. This has worked for me:

$ atomic-reactor build path --method=here --uri=. --image=asdqwe


Will fix upstream.


Thanks for report!
Comment 2 Tomas Tomecek 2015-09-08 04:33:15 EDT
Upstream PR

https://github.com/projectatomic/atomic-reactor/pull/312
Comment 4 Fedora Update System 2015-09-09 05:40:23 EDT
atomic-reactor-1.5.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15431
Comment 5 Fedora Update System 2015-09-09 05:40:23 EDT
atomic-reactor-1.5.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8009
Comment 6 Fedora Update System 2015-09-09 05:40:31 EDT
atomic-reactor-1.5.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15432
Comment 7 Fedora Update System 2015-09-09 19:50:32 EDT
atomic-reactor-1.5.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update atomic-reactor'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8009
Comment 8 Fedora Update System 2015-09-09 22:07:32 EDT
atomic-reactor-1.5.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update atomic-reactor'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15431
Comment 9 Fedora Update System 2015-09-10 01:51:38 EDT
atomic-reactor-1.5.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update atomic-reactor'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15432
Comment 10 Fedora Update System 2015-09-18 14:30:46 EDT
atomic-reactor-1.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-21 04:25:29 EDT
atomic-reactor-1.6.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5491f978ba

Note You need to log in before you can comment on or make changes to this bug.